part of '../bmcommons.dart';

class Spacing {
  static const double largeSpacing = 48;
  static const double standardSpacing = 24;
  static const double smallSpacing = 8;

  //Insets
  static const EdgeInsets smallPadding = EdgeInsets.all(smallSpacing);
  static const EdgeInsets standardPadding = EdgeInsets.all(standardSpacing);
  static const EdgeInsets largePadding = EdgeInsets.all(largeSpacing);
  static const EdgeInsets smallHorizontalPadding = EdgeInsets.symmetric(horizontal: smallSpacing);
  static const EdgeInsets standardHorizontalPadding =
      EdgeInsets.symmetric(horizontal: standardSpacing);
  static const EdgeInsets largeHorizontalPadding = EdgeInsets.symmetric(horizontal: largeSpacing);
  static const EdgeInsets smallVerticalPadding = EdgeInsets.symmetric(vertical: smallSpacing);
  static const EdgeInsets standardVerticalPadding = EdgeInsets.symmetric(vertical: standardSpacing);
  static const EdgeInsets largeVerticalPadding = EdgeInsets.symmetric(vertical: largeSpacing);
}
